Skip to content
Back to top
View this page

# PaidMediaVideo

class telegram.PaidMediaVideo(video, *, api_kwargs=None)

  Bases: `telegram.PaidMedia`

  The paid media is a video.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `video` are equal.

  Available In

  - `telegram.PaidMediaInfo.paid_media`

  - `telegram.TransactionPartnerUser.paid_media`

  Added in version 21.4.

  Parameters:

    - type (`str`) – Type of the paid media, always `'video'`.

    - video (`telegram.Video`) – The video.

  type

    Type of the paid media, always `'video'`.

    Type:

      `str`

  video

    The video.

    Type:

      `telegram.Video`

  classmethod de_json(data, bot=None)

    Converts JSON data to the appropriate `PaidMedia` object, i.e. takes care of selecting the correct subclass.

    Parameters:

      - data (dict[`str`, …]) – The JSON data.

      - bot (`telegram.Bot`, optional) – The bot associated with this object.

    Returns:

      The Telegram object.